## ros-kinetic-nao-control 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_control)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-nao-control (0.0.6-0xenial) xenial; urgency=high

  * Adding missing dependencies
  * update maintainers
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Surya Ambrose <surya.ambrose@gmail.com>  Mon, 30 Jan 2017 23:00:00 -0000

ros-kinetic-nao-control (0.0.5-0xenial) xenial; urgency=high

  * configuring to use with MoveIt
  * Contributors: nlyubova

 -- Surya Ambrose <surya.ambrose@gmail.com>  Tue, 20 Oct 2015 22:00:00 -0000

ros-kinetic-nao-control (0.0.4-0xenial) xenial; urgency=high

  * Added foot and pelvis controller in trajectory control launch file in nao_control. Minor cleaning in nao_control
  * update repos links
    added run dependencies (not generating warnings)
  * Contributors: Konstantinos Chatzilygeroudis, Mikael Arguedas

 -- Surya Ambrose <surya.ambrose@gmail.com>  Wed, 25 Mar 2015 23:00:00 -0000

ros-kinetic-nao-control (0.0.3-0xenial) xenial; urgency=high



 -- Surya Ambrose <surya.ambrose@gmail.com>  Wed, 03 Dec 2014 23:00:00 -0000

ros-kinetic-nao-control (0.0.2-0xenial) xenial; urgency=high

  * update controller list
  * Contributors: margueda

 -- Surya Ambrose <surya.ambrose@gmail.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-kinetic-nao-control (0.0.1-0xenial) xenial; urgency=high

  * cleanups
  * putting back nao_dcm namespace in config files
  * nao_control and nao_gazebo to simulate nao
  * Contributors: Vincent Rabaud, margueda

 -- Surya Ambrose <surya.ambrose@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-nao-control
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-nao-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-effort-controllers, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-robot-state-publisher
Description: The nao_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-nao-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
